import type { EquipmentTypeViewModel } from "../equipmentType/equipmentType.models";
import type { InspectionViewModel } from "../inspection/inspection.models";

export interface EquipmentViewModel {
  id: string;
  code?: string;
  name: string;
  location: string;
  equipmentTypeId: string;
  equipmentType: EquipmentTypeViewModel;
  inspections: Array<InspectionViewModel>;
}

export interface CreateEquipmentViewModel {
  code?: string;
  name: string;
  location: string;
  equipmentTypeId: string;
}

export interface UpdateEquipmentViewModel {
  id: string;
  code?: string;
  name: string;
  location: string;
}
